summaryrefslogtreecommitdiffstats
path: root/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
diff options
context:
space:
mode:
authorIngo Molnar <mingo@elte.hu>2010-04-15 09:13:26 +0200
committerIngo Molnar <mingo@elte.hu>2010-04-15 09:13:26 +0200
commit84b13fd596522db47f9545d5124c30cc00dfdf5a (patch)
treec1f51b8fe43a59fb56ea43a18da88c0d0812dd7d /tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
parentf92128193094c288bc315db1694fafeaeb7ee1d0 (diff)
parenta0cccc2e8e9fb16cbed3a117b30e3fbac3092ee3 (diff)
Merge branch 'perf/live' into perf/core
Conflicts: tools/perf/builtin-record.c Merge reason: add the live tracing feature, resolve conflict. Signed-off-by: Ingo Molnar <mingo@elte.hu>
Diffstat (limited to 'tools/perf/scripts/python/bin/failed-syscalls-by-pid-report')
-rw-r--r--tools/perf/scripts/python/bin/failed-syscalls-by-pid-report8
1 files changed, 7 insertions, 1 deletions
diff --git a/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report b/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
index 1e0c0a860c8..8c128eff9c0 100644
--- a/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
+++ b/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
@@ -1,4 +1,10 @@
#!/bin/bash
# description: system-wide failed syscalls, by pid
# args: [comm]
-perf trace -s ~/libexec/perf-core/scripts/python/failed-syscalls-by-pid.py $1
+if [ $# -gt 0 ] ; then
+ if ! expr match "$1" "-" ; then
+ comm=$1
+ shift
+ fi
+fi
+perf trace $@ -s ~/libexec/perf-core/scripts/python/failed-syscalls-by-pid.py $comm